hbase-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stack <st...@duboce.net>
Subject Re: Maven assembly speed issue (from discussion with jdcryans on IRC)
Date Sun, 14 Mar 2010 03:34:58 GMT
I did this bit of the patch:


@@ -308,10 +309,6 @@
         <descriptors>
           <descriptor>src/assembly/bin.xml</descriptor>
         </descriptors>
-          <descriptorRefs>
-            <descriptorRef>src</descriptorRef>
-            <descriptorRef>project</descriptorRef>
-          </descriptorRefs>
       </configuration>
     </plugin>
   </plugins>


... but as Lars says, there is a version up in the pluginManagement
section.  Should I downgrade from beta5 to beta1?

Thanks lads,
St>Ack
On Fri, Mar 12, 2010 at 7:36 PM, Lars Francke <lars.francke@gmail.com> wrote:
>> Because the current pom doesn't specify a plugin version, it's using the latest version.
>
> The pluginManagement section actually does specify a plugin version:
> 2.2-beta-5. But if that does cause problems - and the ticket you
> linked to proves that feel free to downgrade but I would appreciate it
> if you did it in the pluginManagement section. I don't have access to
> the source code right now so I can't provide an updated patch.
>
> I'm swamped right now but I plan to continue working on the Maven
> build as well once everything has settled down. Thanks for keeping up
> the good work on this Paul!
>
> Cheers,
> Lars
>

Mime
View raw message